Intermittent java-exception | java.lang.NullPointerException at org.mozilla.gecko.tests.testDistribution$3.distributionNotFound(testDistribution.java:236)

RESOLVED WORKSFORME

Status

()

Firefox for Android
General
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: RyanVM, Assigned: gbrown)

Tracking

({crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
08:01:36 INFO - TEST-PASS | testDistribution | clean up mock package - deleted /data/data/org.mozilla.fennec_aurora/mock-package.zip
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/bookmarks.json
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/searchplugins/common/engine.xml
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/searchplugins/common
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/searchplugins
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/suggestedsites/locales/en-US/suggestedsites.json
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/suggestedsites/locales/en-US
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/suggestedsites/locales
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/suggestedsites
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution/preferences.json
08:01:36 INFO - TEST-PASS | testDistribution | clean up distribution files - deleted /data/data/org.mozilla.fennec_aurora/distribution
08:01:36 INFO - Clearing distribution pref.
08:01:36 INFO - TEST-OK | testDistribution | took 254719ms
08:01:36 INFO - TEST-START | Shutdown
08:01:36 INFO - Passed: 104
08:01:36 INFO - Failed: 0
08:01:36 INFO - Todo: 0
08:01:36 INFO - SimpleTest FINISHED
08:01:36 INFO - TEST-PASS | | Not processed. - No download because we're offline.
08:01:36 INFO - Referrer was null
08:01:36 INFO - INFO | automation.py | Application ran for: 0:04:24.354294
08:01:36 INFO - INFO | zombiecheck | Reading PID log: /tmp/tmpD4bGhppidlog
08:01:36 INFO - Contents of /data/anr/traces.txt:
08:01:36 INFO -
08:01:36 INFO -
08:01:36 INFO - /data/tombstones does not exist; tombstone check skipped
08:01:36 WARNING - PROCESS-CRASH | java-exception | java.lang.NullPointerException at org.mozilla.gecko.tests.testDistribution$3.distributionNotFound(testDistribution.java:236)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 15

3 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api11: 4
* b2g-linux64: 1
* b2g-device-image: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1130060&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 16

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* android-2-3-armv7-api9: 3
* linux64: 1
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1130060&startday=2016-02-01&endday=2016-02-07&tree=all
No recent failures of this type.
Assignee: nobody → gbrown
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.